﻿package DE_EPAGES::Ebay::t::unit::EbayAuction;
use base DE_EPAGES::Core::API::Test;

use utf8;
use strict;
use Test::More;
use DE_EPAGES::Ebay::API::Object::EbayAuction;

sub test {
    my $self = shift;

    $self->test_valid_Business_Policy_Condition();

    done_testing();
}

sub test_valid_Business_Policy_Condition {
    my $self = shift;

    is(DE_EPAGES::Ebay::API::Object::EbayAuction->allBusinessValuesAreSet({
            'BusinessPolicyPaymentID' => 88849384,
            'BusinessPolicyShippingID' => 42223849,
            'BusinessPolicyReturn_PolicyID' => 34824234,
        }),1,'Valid business policy');


    is(DE_EPAGES::Ebay::API::Object::EbayAuction->allBusinessValuesAreSet({
        'BusinessPolicyPaymentID' => 88849384,
            'BusinessPolicyShippingID' => undef,
            'BusinessPolicyReturn_PolicyID' => undef,
    }),0,'Valid businesss policy two undef values');


    is(DE_EPAGES::Ebay::API::Object::EbayAuction->allBusinessValuesAreSet({
            'BusinessPolicyPaymentID' => 88849384,
            'BusinessPolicyShippingID' => undef,
            'BusinessPolicyReturn_PolicyID' => 34824234,
        }),0,'Valid businesss policy one undef values');


    is(DE_EPAGES::Ebay::API::Object::EbayAuction->allBusinessValuesAreSet({
            'BusinessPolicyPaymentID' => '',
            'BusinessPolicyShippingID' => '',
            'BusinessPolicyReturn_PolicyID' => '',
        }),0,'Valid business policy empty strings');


    is(DE_EPAGES::Ebay::API::Object::EbayAuction->allBusinessValuesAreSet({
            'BusinessPolicyPaymentID' => undef,
            'BusinessPolicyShippingID' => undef,
            'BusinessPolicyReturn_PolicyID' => undef,
        }),0,'Valid business policy all empty');

    return;
}

__PACKAGE__->runScript;

1;
