﻿package DE_EPAGES::Ebay::t::unit::filterSellerProfilesData;
use base Exporter;
use strict;
use utf8;

our @EXPORT_OK = qw (
        EBAY_GET_SELLER_PROFILE_RESPONSE
    );

use constant EBAY_GET_SELLER_PROFILE_RESPONSE => {
    'SellerProfilePreferences' => {
        'SupportedSellerProfiles' => {
            'SupportedSellerProfile' => [
                {
                    'ProfileName' => 'PayPal:Sonstige / siehe Artikelbeschreibung',
                    'ShortSummary' => 'PayPal, Sonstige / siehe Artikelbeschreibung',
                    'ProfileType' => 'PAYMENT',
                    'ProfileID' => '97160275015',
                    'CategoryGroup' => {
                        'IsDefault' => 'true',
                        'Name' => 'ALL'
                    }
                },
                {
                    'ProfileName' => 'Kreditkarte',
                    'ShortSummary' => 'Kreditkarte - siehe Artikelbeschreibung',
                    'ProfileType' => 'PAYMENT',
                    'ProfileID' => '971602750888',
                    'CategoryGroup' => {
                        'IsDefault' => 'false',
                        'Name' => 'ALL'
                    }
                },
                {
                    'ProfileName' => "Der Artikel kann zurückgegeben werden",
                    'ShortSummary' => "Der Artikel kann zurückgegeben werden",
                    'ProfileType' => 'RETURN_POLICY',
                    'ProfileID' => '88247904444',
                    'CategoryGroup' => {
                        'IsDefault' => 'false',
                        'Name' => 'ALL'
                    }
                },
                {
                    'ProfileName' => "Der Artikel kann nicht zurückgegeben werden",
                    'ShortSummary' => "Der Artikel kann nicht zurückgegeben werden",
                    'ProfileType' => 'RETURN_POLICY',
                    'ProfileID' => '88247904015',
                    'CategoryGroup' => {
                        'IsDefault' => 'true',
                        'Name' => 'ALL'
                    }
                },
                {
                    'ProfileName' => "Pauschal:DHL Expressbrief",
                    'ShortSummary' => "40 EURO für den Brief",
                    'ProfileType' => 'SHIPPING',
                    'ProfileID' => '88349571111',
                    'CategoryGroup' => {
                        'IsDefault' => 'false',
                        'Name' => 'ALL'
                    }
                },
                {
                  'ProfileName' => "Pauschal:DHL Päckchen(EUR 1,00)/Pauschal:DHL",
                  'ShortSummary' => "Inland: Pauschal: Standardversandoptionen(EUR 1,00). International: Pauschal: DHL Päckchen International(EUR 120,00)",
                  'ProfileType' => 'SHIPPING',
                  'ProfileID' => '88349570015',
                  'CategoryGroup' => {
                        'IsDefault' => 'true',
                        'Name' => 'ALL'
                    }
                },
                {
                    'ProfileName' => "Pauschal:DHL Brief",
                    'ShortSummary' => "4 EURO für den Brief",
                    'ProfileType' => 'SHIPPING',
                    'ProfileID' => '88349572222',
                    'CategoryGroup' => {
                        'IsDefault' => 'false',
                        'Name' => 'ALL'
                    }
                },
            ]
        }
    },
};

1;
