﻿package DE_EPAGES::Ebay::t::unit::getReturnPolicyData;
use base Exporter;
use strict;
use utf8;


our @EXPORT_OK = qw (
    EBAY_GET_RETURN_POLICY_VALID_RESPONSE
    EBAY_GET_RETURN_POLICY_EMPTY_RESPONSE_1
    EBAY_GET_RETURN_POLICY_EMPTY_RESPONSE_2
    );

use constant EBAY_GET_RETURN_POLICY_VALID_RESPONSE => {
    'ReturnPolicyDetails' => [
        {
            'ShippingCostPaidBy' => [
                {
                    'ShippingCostPaidByOption' => 'Buyer',
                    'Description' => "K\x{e4}ufer tr\x{e4}gt die unmittelbaren Kosten der R\x{fc}cksendung der Waren"
                },
                {
                    'ShippingCostPaidByOption' => 'Seller',
                    'Description' => "Verk\x{e4}ufer tr\x{e4}gt die Kosten der R\x{fc}cksendung der Waren"
                }
            ],
            'ReturnsWithin' => [
                {
                    'ReturnsWithinOption' => 'Days_14',
                    'Description' => '14 Tage'
                },
                {
                    'ReturnsWithinOption' => 'Months_1',
                    'Description' => '1 Monat'
                }
            ],
            'ReturnsAccepted' => [
                {
                    'ReturnsAcceptedOption' => 'ReturnsAccepted',
                    'Description' => "Verbraucher haben das Recht, den Artikel unter den angegebenen Bedingungen zur\x{fc}ckzugeben."
                },
                {
                    'ReturnsAcceptedOption' => 'ReturnsNotAccepted',
                    'Description' => "Der Artikel kann nicht zur\x{fc}ckgegeben werden"
                }
            ],
            'UpdateTime' => '2015-02-19T00:40:57.000Z',
            'DetailVersion' => '5',
            'Description' => 'true'
        }
    ],
        'Build' => 'E989_INTL_API_18131002_R1',
        'Ack' => 'Warning',
        'Timestamp' => '2016-11-21T06:24:04.084Z',
        'Version' => '989',
        'CorrelationID' => undef,
        'Errors' => {
        'ShortMessage' => 'Element <Site> in Anfragemeldung nicht erkannt.',
        'ErrorParameters' => {
            'Value' => 'Site'
        },
        'ErrorCode' => '21927',
        'SeverityCode' => 'Warning',
        'LongMessage' => 'In der Eingabe-Anfragemeldung wurde das Element <Site> gefunden.  Dies ist kein deklariertes Element im Schema und wird ignoriert.',
        'ErrorClassification' => 'RequestError'
    },
        'Warnings' => []
};

use constant EBAY_GET_RETURN_POLICY_EMPTY_RESPONSE_1 => {
    'ReturnPolicyDetails' => [
        {
            'ShippingCostPaidBy' => [
                {
                    'ShippingCostPaidByOption' => 'Buyer',
                    'Description' => "K\x{e4}ufer tr\x{e4}gt die unmittelbaren Kosten der R\x{fc}cksendung der Waren"
                },
                {
                    'ShippingCostPaidByOption' => 'Seller',
                    'Description' => "Verk\x{e4}ufer tr\x{e4}gt die Kosten der R\x{fc}cksendung der Waren"
                }
            ],
            'ReturnsWithin' => [
            ],
            'ReturnsAccepted' => [
                {
                    'ReturnsAcceptedOption' => 'ReturnsAccepted',
                    'Description' => "Verbraucher haben das Recht, den Artikel unter den angegebenen Bedingungen zur\x{fc}ckzugeben."
                },
                {
                    'ReturnsAcceptedOption' => 'ReturnsNotAccepted',
                    'Description' => "Der Artikel kann nicht zur\x{fc}ckgegeben werden"
                }
            ],
            'UpdateTime' => '2015-02-19T00:40:57.000Z',
            'DetailVersion' => '5',
            'Description' => 'true'
        }
    ],
    'Build' => 'E989_INTL_API_18131002_R1',
    'Ack' => 'Warning',
    'Timestamp' => '2016-11-21T06:24:04.084Z',
    'Version' => '989',
    'CorrelationID' => undef,
    'Errors' => {
        'ShortMessage' => 'Element <Site> in Anfragemeldung nicht erkannt.',
        'ErrorParameters' => {
            'Value' => 'Site'
        },
        'ErrorCode' => '21927',
        'SeverityCode' => 'Warning',
        'LongMessage' => 'In der Eingabe-Anfragemeldung wurde das Element <Site> gefunden.  Dies ist kein deklariertes Element im Schema und wird ignoriert.',
        'ErrorClassification' => 'RequestError'
    },
    'Warnings' => []
};

use constant EBAY_GET_RETURN_POLICY_EMPTY_RESPONSE_2 => {
    'ReturnPolicyDetails' => [
        {
            'ShippingCostPaidBy' => [
                {
                    'ShippingCostPaidByOption' => 'Buyer',
                    'Description' => "K\x{e4}ufer tr\x{e4}gt die unmittelbaren Kosten der R\x{fc}cksendung der Waren"
                },
                {
                    'ShippingCostPaidByOption' => 'Seller',
                    'Description' => "Verk\x{e4}ufer tr\x{e4}gt die Kosten der R\x{fc}cksendung der Waren"
                }
            ],
            'ReturnsAccepted' => [
                {
                    'ReturnsAcceptedOption' => 'ReturnsAccepted',
                    'Description' => "Verbraucher haben das Recht, den Artikel unter den angegebenen Bedingungen zur\x{fc}ckzugeben."
                },
                {
                    'ReturnsAcceptedOption' => 'ReturnsNotAccepted',
                    'Description' => "Der Artikel kann nicht zur\x{fc}ckgegeben werden"
                }
            ],
            'UpdateTime' => '2015-02-19T00:40:57.000Z',
            'DetailVersion' => '5',
            'Description' => 'true'
        }
    ],
    'Build' => 'E989_INTL_API_18131002_R1',
    'Ack' => 'Warning',
    'Timestamp' => '2016-11-21T06:24:04.084Z',
    'Version' => '989',
    'CorrelationID' => undef,
    'Errors' => {
        'ShortMessage' => 'Element <Site> in Anfragemeldung nicht erkannt.',
        'ErrorParameters' => {
            'Value' => 'Site'
        },
        'ErrorCode' => '21927',
        'SeverityCode' => 'Warning',
        'LongMessage' => 'In der Eingabe-Anfragemeldung wurde das Element <Site> gefunden.  Dies ist kein deklariertes Element im Schema und wird ignoriert.',
        'ErrorClassification' => 'RequestError'
    },
    'Warnings' => []
};

1;
