﻿package DE_EPAGES::Ebay::t::unit::getSellerProfiles;
use base DE_EPAGES::Core::API::Test;

use utf8;
use strict;
use Test::More;
use DE_EPAGES::Ebay::t::unit::filterSellerProfilesData qw (EBAY_GET_SELLER_PROFILE_RESPONSE);
use DE_EPAGES::Ebay::API::Object::EbayShopEnvironment;

sub test {
    my $self = shift;

    $self->test_get_Seller_Profiles();
    $self->test_get_Seller_Profiles_empty_param();
    $self->test_get_Seller_Profiles_empty_hash();
    $self->test_get_Seller_Profiles_undef_param();

    done_testing();
}

sub test_get_Seller_Profiles {
    my $self = shift;

    my $isSellerProfileEmpty = DE_EPAGES::Ebay::API::Object::EbayShopEnvironment->isSellerProfileEmpty(EBAY_GET_SELLER_PROFILE_RESPONSE);

    is($isSellerProfileEmpty, 0, 'seller profiles not empty');

    return;
}

sub test_get_Seller_Profiles_empty_param {
    my $self = shift;

    my $isSellerProfileEmpty = DE_EPAGES::Ebay::API::Object::EbayShopEnvironment->isSellerProfileEmpty();

    is($isSellerProfileEmpty, 1, 'seller profiles empty param');

    return;
}

sub test_get_Seller_Profiles_empty_hash {
    my $self = shift;

    my $isSellerProfileEmpty = DE_EPAGES::Ebay::API::Object::EbayShopEnvironment->isSellerProfileEmpty({});

    is($isSellerProfileEmpty, 1, 'seller profiles empty hash');

    return;
}
sub test_get_Seller_Profiles_undef_param {
    my $self = shift;

    my $isSellerProfileEmpty = DE_EPAGES::Ebay::API::Object::EbayShopEnvironment->isSellerProfileEmpty(undef);

    is($isSellerProfileEmpty, 1, 'seller profiles undef param');

    return;
}

__PACKAGE__->runScript;

1;
