﻿package DE_EPAGES::Ebay::t::unit::isBusinessPoliciesActivated;
use base DE_EPAGES::Core::API::Test;

use strict;
use utf8;
use Test::More;
use DE_EPAGES::Ebay::t::unit::isBusinessPoliciesActivatedData qw (
    EBAY_IS_BUSINESS_POLICIES_ACTIVATED_RESPONSE
    EBAY_IS_BUSINESS_POLICIES_DEACTIVATED_RESPONSE
);
use DE_EPAGES::Ebay::API::Object::EbayShopEnvironment;

sub test {
    my $self = shift;

    $self->test_payment_business_policies_activated();
    $self->test_payment_business_policies_deactivated();

    done_testing();
}

sub test_payment_business_policies_activated {
    my $self = shift;

    my $isBusinessPoliciesActivated = DE_EPAGES::Ebay::API::Object::EbayShopEnvironment->isBusinessPolicyActivated(EBAY_IS_BUSINESS_POLICIES_ACTIVATED_RESPONSE);

    is($isBusinessPoliciesActivated, 1, 'business policies actived');
}

sub test_payment_business_policies_deactivated {
    my $self = shift;

    my $isBusinessPoliciesActivated = DE_EPAGES::Ebay::API::Object::EbayShopEnvironment->isBusinessPolicyActivated(EBAY_IS_BUSINESS_POLICIES_DEACTIVATED_RESPONSE);

    is($isBusinessPoliciesActivated, 0, 'business policies deactived');
}

__PACKAGE__->runScript;

1;
