#========================================================================================
# package      DE_EPAGES::Payment::API::Attributes::System
# state        private
# description  Attribute interface for shipping System.
#========================================================================================
package DE_EPAGES::Payment::API::Attributes::System;
use base DE_EPAGES::Object::API::BaseAttribute;

use strict;

sub getAttributes {
    shift;
    my ($System, $aNames) = @_;
    my $hInfo = {};
    my $PaymentTypes = $System->folder('PaymentTypes');
    my $PaymentGroups = $System->folder('PaymentGroups');
    foreach my $Name ( @$aNames ) {
        if ($Name eq 'PaymentTypes') {
            $hInfo->{$Name} = $PaymentTypes->children();
        }
        if ($Name eq 'PaymentGroups') {
            $hInfo->{$Name} = $PaymentGroups->children();
        }
    }
    return $hInfo;
}

sub deleteObject {
    shift;
    my ($System) = @_;
    $System->folder('PaymentTypes')->delete();
    $System->folder('PaymentGroups')->delete();
}

1;
